package com.xkrs.dao;

import com.xkrs.model.entity.SettingEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

/**
 * @author xkrs
 */
@Component
public interface SettingDao extends JpaRepository<SettingEntity, Long>, JpaSpecificationExecutor<SettingEntity> {

    @Modifying(clearAutomatically = true)
    @Query(value = "UPDATE setting SET switch_state = ?2 where id = ?1", nativeQuery = true)
    void updateSwitchStateById(Long id, String switchState);

}
